Skip to main content
POST
/
providers
/
{public_id}
/
activate
Activate a sending account
curl --request POST \
  --url https://app.sendmux.ai/api/v1/providers/{public_id}/activate \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "id": "dprov_clxxxxxxxxxxxxxxxxxxxxxxxxx",
    "name": "Transactional SMTP",
    "type": "smtp",
    "status": "active",
    "status_reason": "<string>",
    "is_active": true,
    "is_shared": true,
    "is_editable": true,
    "allowed_actions": {
      "update": true,
      "delete": true,
      "activate": true,
      "deactivate": true,
      "test": true
    },
    "smtp_host": "<string>",
    "smtp_port": 123,
    "smtp_protocol": "<string>",
    "smtp_username": "<string>",
    "has_smtp_password": true,
    "from_email": "<string>",
    "from_name": "<string>",
    "reply_to_email": "<string>",
    "reply_to_name": "<string>",
    "oauth_email": "<string>",
    "has_refresh_token": true,
    "quotas": {
      "per_second": {
        "min": 60,
        "max": 60
      },
      "per_minute": {
        "min": 60,
        "max": 60
      },
      "per_hour": {
        "min": 60,
        "max": 60
      },
      "per_day": {
        "min": 60,
        "max": 60
      }
    },
    "percentage": 100,
    "tracking_domain": "<string>",
    "created_at": "2026-05-25T02:18:00Z",
    "updated_at": "2026-05-25T02:18:00Z",
    "last_tested_at": "<string>",
    "last_used_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Headers

Idempotency-Key
string

Client-chosen unique key to safely retry the request. Cached for 24h per (team, endpoint, key). Different body with same key returns 409 idempotency_conflict.

Maximum string length: 255
Example:

"providers-create-20260525-001"

Path Parameters

public_id
string
required

Sending account public ID

Example:

"dprov_clxxxxxxxxxxxxxxxxxxxxxxxxx"

Response

Updated sending account

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required